<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:camel="http://camel.apache.org/schema/spring"
       xsi:schemaLocation="
      http://www.springframework.org/schema/beans
      http://www.springframework.org/schema/beans/spring-beans.xsd
      http://camel.apache.org/schema/spring http://camel.apache.org/schema/spring/camel-spring.xsd
        ">

    <!--
    <mongo:mongo-client id="mongoBean" host="localhost" port="27017" credentials="${mongo.user}:${mongo.pass}@${mongo.dbname}">
    </mongo:mongo-client>
    -->


    <!--
    <camelContext id="camel" xmlns="http://camel.apache.org/schema/spring">

        <route>
            <from uri="direct:start"></from>

            <to uri="class:org.camel.mongo.CalledClass?method=hello"></to>
        </route>

    </camelContext>
    -->
    <camelContext id="camel" xmlns="http://camel.apache.org/schema/spring">
        <route>
            <from uri="direct://start"/>
            <to uri="class:org.camel.mongo.CalledClass?method=hello"/>
        </route>
    </camelContext>


    <bean id="route123" class="org.camel.routes.MongoRoute"/>
    <!--
        TODO: Define Proper Route Files
    -->




</beans>